import { StyleSheet, TextInput, TextInputProps } from "react-native";

export function Input({ ...rest }: TextInputProps) {
  return (
    <TextInput style={styles.input} placeholderTextColor="#7c7c7c" {...rest} />
  );
}

// Estilos para o componente Input
const styles = StyleSheet.create({
  input: {
    width: "100%",
    height: 48,
    borderWidth: 1,
    borderColor: "#2a2a2a",
    backgroundColor: "#1a1a1a",
    borderRadius: 8,
    color: "#e7e7e7",
    fontSize: 16,
    paddingLeft: 12,
  },
});
